gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [gnunet] branch master updated: bootstrap: Replace which.


From: gnunet
Subject: [GNUnet-SVN] [gnunet] branch master updated: bootstrap: Replace which.
Date: Thu, 14 Jun 2018 23:50:27 +0200

This is an automated email from the git hooks/post-receive script.

ng0 pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new eab87ba80 bootstrap: Replace which.
eab87ba80 is described below

commit eab87ba800bf45782ed7ae2d2648079b7078787f
Author: Nils Gillmann <address@hidden>
AuthorDate: Thu Jun 14 21:50:59 2018 +0000

    bootstrap: Replace which.
    
    Signed-off-by: Nils Gillmann <address@hidden>
---
 bootstrap | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

diff --git a/bootstrap b/bootstrap
index a1cdcfa00..487f4817c 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,9 +1,20 @@
 #!/bin/sh
+echo "Removing folder 'libltdl'..."
 rm -rf libltdl
-echo -n "checking for libtoolize / libtool... "
-which glibtoolize || which libtoolize || which libtool || {
-        echo "*** No libtoolize (libtool) or libtool found, please install it 
***"
-        exit 1
+
+echo "checking for libtoolize / libtool... "
+
+# This is more portable than `which' but comes with
+# the caveat of not(?) properly working on busybox's ash:
+existence()
+{
+    command -v "$1" >/dev/null 2>&1
 }
-autoreconf -if
-. "bin/pogen.sh"
+
+if existence libtool || existence libtoolize || existence glibtoolize; then
+    autoreconf -if
+    . "bin/pogen.sh"
+else
+    echo "*** No libtoolize (libtool) or libtool found, please install it ***" 
>&2;
+    exit 1
+fi

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]